Bug 1289702 - [Docs] [Director] Install guide 6.2.5.1 example network file yaml excerpts do not match shipped 8.0
[Docs] [Director] Install guide 6.2.5.1 example network file yaml excerpts do...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
All All
high Severity high
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
Martin Lopes
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 13:26 EST by Bradford Nichols
Modified: 2016-08-16 02:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-16 02:13:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bradford Nichols 2015-12-08 13:26:08 EST
Description of problem:
The examples from yaml files do not match what is in the product. 
In the guide, page 42-43
templates/nic-configs/controller.yaml template:
....
network_config:
- type: ovs_bridge
name: {get_input: bridge_name}
use_dhcp: true
members:
....


On the system
...
 network_config:
            -
              type: ovs_bridge
              name: {get_input: bridge_name}
              use_dhcp: true
              dns_servers: {get_param: DnsServers}
              addresses:
                -
                  ip_netmask:
                    list_join:
                      - '/'
                      - - {get_param: ControlPlaneIp}
                        - {get_param: ControlPlaneSubnetCidr}
              routes:
                -
                  ip_netmask: 169.254.169.254/32
                  next_hop: {get_param: EC2MetadataIp}
              members:
...


Version-Release number of selected component (if applicable):
8.0 

How reproducible:
Always

Steps to Reproduce:
1.NA
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Andrew Dahms 2016-02-23 09:10:56 EST
Assigning to Dan for review.
Comment 4 Dan Macpherson 2016-05-02 23:52:09 EDT
Hi Bradford,

Here's the section on Network Isolation:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/director-installation-and-usage/62-isolating-networks

I've completed a revamp for OSP 8 including revising the examples in 6.2.1. Creating Custom Interface Templates.

Would you be able to have a look and let me know if any further corrections are required?
Comment 5 Bradford Nichols 2016-05-03 14:46:19 EDT
screen shot examples from files: Unfortunately I don't have access to an 8.0 system right now so can't compare your latest to a running system. But if you have redone these based on a GA 8.0 system that should be good.

Also,  I did notice when installing a system a couple weeks ago, that there is a new 'network' in the ymals -   ManagementNetworkVlanID: 906

You don't mention it.  Can you check with Dan Sneddon or someone similar in engineering to see if you should document it in your list of networks?

Thats my 2-cents
Comment 6 Dan Macpherson 2016-08-16 02:13:00 EDT
Hi Bradford,

Sorry it's taken so long to reply to comment #5. I've checked the latest version of the OSP8 director guide and yep the management network is documented:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/paged/director-installation-and-usage/62-isolating-networks

I'll close this BZ as the changes from this BZ have been live for a while now, but if there's anything further you need me to add, please feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.